<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/device-xml.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000002.html">lib</a></div>
<h1>device-xml.c File Reference</h1>Device XML data file parsing. <a href="#_details">More...</a>
<p>
<code>#include "config.h"</code><br>
<code>#include &lt;sys/types.h&gt;</code><br>
<code>#include &lt;assert.h&gt;</code><br>
<code>#include &lt;ctype.h&gt;</code><br>
<code>#include &lt;limits.h&gt;</code><br>
<code>#include &lt;stdbool.h&gt;</code><br>
<code>#include &lt;string.h&gt;</code><br>
<code>#include &lt;errno.h&gt;</code><br>
<code>#include &lt;expat.h&gt;</code><br>
<code>#include &lt;<a class="el" href="discover_8h-source.html">discover/discover.h</a>&gt;</code><br>
<code>#include &lt;<a class="el" href="discover-xml_8h-source.html">discover/discover-xml.h</a>&gt;</code><br>
<code>#include &lt;discover/load-url.h&gt;</code><br>
<code>#include &lt;discover/device.h&gt;</code><br>
<code>#include &lt;discover/utils.h&gt;</code><br>
<code>#include &lt;discover/stack.h&gt;</code><br>

<p>
<a href="device-xml_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="device-xml_8c.html#a0">IDLEN</a>&nbsp;&nbsp;&nbsp;5</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="device-xml_8c.html#a20">state</a> { <b>START</b>, 
<b>FINISH</b>, 
<b>DEVICE</b>, 
<b>DATA</b>
 }</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga0">discover_xml_merge_device_url</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> **dlist, char *url, <a class="el" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses, <a class="el" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga1">discover_xml_get_devices</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga2">discover_xml_free_devices</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga3">discover_xml_find_device</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> *xml_devices, char *target_vendor, char *target_model, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga4">discover_xml_find_next_device</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> *xml_devices, char *target_vendor, char *target_model, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga3">discover_device_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__device__xml.html#ga5">discover_xml_get_matching_devices</a> (<a class="el" href="group__types.html#ga3">discover_device_t</a> *xml_devices, char *target_vendor, char *target_model, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Device XML data file parsing. 
<p>
This file contains the routines needed to properly process the device XML data. This file is responsible for handling URLs and storing the XML data during the parsing process. 
<p>
Definition in file <a class="el" href="device-xml_8c-source.html">device-xml.c</a>.<hr><h2>Define Documentation</h2>
<a class="anchor" name="a0" doxytag="device-xml.c::IDLEN"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define IDLEN&nbsp;&nbsp;&nbsp;5          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Length (including terminating null) of model and vendor ID strings 
<p>
Definition at line <a class="el" href="device-xml_8c-source.html#l00077">77</a> of file <a class="el" href="device-xml_8c-source.html">device-xml.c</a>.    </td>
  </tr>
</table>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="a20" doxytag="device-xml.c::state"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">enum <a class="el" href="url-xml_8c.html#a22">state</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Representative of the state within the XML data 
<p>
Definition at line <a class="el" href="device-xml_8c-source.html#l00082">82</a> of file <a class="el" href="device-xml_8c-source.html">device-xml.c</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
